nx_metadata_sdk 1.0 Metadata SDK

Public Member Functions | Protected Member Functions | List of all members
nx::sdk::analytics::ObjectTrackBestShotPacket Class Reference
Inheritance diagram for nx::sdk::analytics::ObjectTrackBestShotPacket:

## Public Member Functions
| ObjectTrackBestShotPacket (Uuid trackId=Uuid(), int64_t timestampUs=-1, Rect boundingBox=Rect())
virtual Flags | flags () const override
virtual int64_t | timestampUs () const override
virtual const char * | imageUrl () const override
virtual const char * | imageData () const override
virtual int | imageDataSize () const override
virtual const char * | imageDataFormat () const override
void | setTrackId (const Uuid &trackId)
void | setFlags (Flags flags)
void | setTimestampUs (int64_t timestampUs)
void | setBoundingBox (const Rect &boundingBox)
void | setImageUrl (std::string imageUrl)
void | setImageData (std::vector< char > imageData)
void | setImageDataFormat (std::string imageDataFormat)
void | setImage (std::string imageDataFormat, std::vector< char > imageData)
virtual int | attributeCount () const override
void | addAttribute (Ptr< Attribute > attribute)
void | addAttributes (const std::vector< Ptr< Attribute >> &value)
Public Member Functions inherited from nx::sdk::RefCountable< IObjectTrackBestShotPacket >
| RefCountable (const RefCountable &)=delete
| RefCountable (RefCountable &&)=delete
RefCountable & | operator= (const RefCountable &)=delete
RefCountable & | operator= (RefCountable &&)=delete
virtual int | addRef () const override
virtual int | releaseRef () const override
int | refCount () const

## Protected Member Functions
virtual const IAttribute * | getAttribute (int index) const override
virtual void | getTrackId (Uuid *outValue) const override
virtual void | getBoundingBox (Rect *outValue) const override

## Member Function Documentation

## ◆ setBoundingBox()

void nx::sdk::analytics::ObjectTrackBestShotPacket::setBoundingBox | ( | const Rect & | boundingBox | ) |

See IObjectTrackBestShotPacket0::boundingBox().

## ◆ setFlags()

void nx::sdk::analytics::ObjectTrackBestShotPacket::setFlags | ( | Flags | flags | ) |

See IObjectTrackBestShotPacket::flags().

## ◆ setImage()

void nx::sdk::analytics::ObjectTrackBestShotPacket::setImage | ( | std::string | imageDataFormat,
|  | std::vector< char > | imageData
| ) |  |

Stores image binary data - calls setImageDataFormat() and setImageData().

Parameters

  imageDataFormat | See IObjectTrackBestShotPacket1::imageDataFormat().

## ◆ setImageData()

void nx::sdk::analytics::ObjectTrackBestShotPacket::setImageData | ( | std::vector< char > | imageData | ) |

See IObjectTrackBestShotPacket1::imageData().

## ◆ setImageDataFormat()

void nx::sdk::analytics::ObjectTrackBestShotPacket::setImageDataFormat | ( | std::string | imageDataFormat | ) |

See IObjectTrackBestShotPacket1::imageDataFormat().

## ◆ setImageUrl()

void nx::sdk::analytics::ObjectTrackBestShotPacket::setImageUrl | ( | std::string | imageUrl | ) |

See IObjectTrackBestShotPacket1::imageUrl().

## ◆ setTimestampUs()

void nx::sdk::analytics::ObjectTrackBestShotPacket::setTimestampUs | ( | int64_t | timestampUs | ) |

See IDataPacket::timestampUs().

## ◆ setTrackId()

void nx::sdk::analytics::ObjectTrackBestShotPacket::setTrackId | ( | const Uuid & | trackId | ) |

See IObjectTrackBestShotPacket0::trackId().

The documentation for this class was generated from the following files:

- src/nx/sdk/analytics/helpers/object_track_best_shot_packet.h
- src/nx/sdk/analytics/helpers/object_track_best_shot_packet.cpp